package me.zhengjie.modules.dm.activiti.event;

import lombok.Data;
import me.zhengjie.modules.dm.activiti.status.OperationStatus;

import org.springframework.context.ApplicationEvent;

@Data
public class ActivitiEvent extends ApplicationEvent {

    private Object info;
    private OperationStatus status;
    private String remark;

    public ActivitiEvent(Object source,Object info,OperationStatus status) {
        super(source);
        this.info = info;
        this.status = status;
    }

    public ActivitiEvent(Object source,Object info,OperationStatus status,String remark) {
        super(source);
        this.info = info;
        this.status = status;
        this.remark = remark;
    }
}
